from dotenv import load_dotenv
import os

load_dotenv()

DEBUG = os.environ.get('DEBUG', True)

DATABASE_CONFIG = {
    'ENGINE' : 'django.db.backends.postgresql',
    'OPTIONS': {
        'service': 'pg_service',
        'passfile': '.pgpass'
    }
}
SECRET_KEY = os.environ.get('SECRET_KEY', '')
CACHE_CONFIG = {
    'LOCATION' : 'redis://127.0.0.1:6379',
    'BACKEND' : 'django.core.cache.backends.redis.RedisCache',
}

PAYPAL_CLIENT_ID = os.environ.get('PAYPAL_CLIENT_ID', '')
PAYPAL_SECRET_ID = os.environ.get('PAYPAL_SECRET_ID', '')

ANYMAIL_CONFIG = {
    'MAILGUN_API_KEY': os.environ.get('MAILGUN_API_KEY', ''),
    'MAILGUN_SENDER_DOMAIN': os.environ.get('MAILGUN_SENDER_DOMAIN', '')
}

SERVER_EMAIL = os.environ.get('SERVER_EMAIL', '')
DEFAULT_FROM_EMAIL = os.environ.get('DEFAULT_FROM_EMAIL', '')
